#include "mw_storage.h"
#include "list.h"
#include "htime.h"
#include "hthread.h"
#include "hbase.h"
#include "hlog.h"
#include "hmutex.h"
#include "hplatform.h"


/*
 * 直接用mtd或操作flash分区, 加快启动速度
**/
uint32_t mw_storage_write(Mw_CfgStorage_Partition_e part, Mw_CfgStorage_Region_e region, char *data, uint32_t max_size){
    
    hloge("%s part:%u, region:%u data:%p size:%u", __func__, part, region, data, max_size);
    return max_size;
}

/*
 * 直接用mtd或操作flash分区, 加快启动速度
**/
// path can be file, return size has been read
uint32_t mw_storage_read(Mw_CfgStorage_Partition_e part, Mw_CfgStorage_Region_e region, char *data, uint32_t max_size){
    hloge("%s part:%u, region:%u data:%p size:%u", __func__, part, region, data, max_size);
    return max_size;
}
